Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 926608 - tagtool: Does not support aarch64 in f19 and rawhide
Summary: tagtool: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tagtool
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 16:24 UTC by Dennis Gilmore
Modified: 2013-09-09 23:53 UTC (History)
4 users (show)

Fixed In Version: tagtool-0.12.3-16.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-09 23:53:50 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Dennis Gilmore 2013-03-23 16:24:24 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  tagtool appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/tagtool/tagtool-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Ankur Sinha (FranciscoD) 2013-03-24 01:57:02 UTC
Cannot be built because of https://bugzilla.redhat.com/show_bug.cgi?id=924938

Pushed to scm. Will build as soon as perl is fixed.

Comment 2 Michael Spahn 2013-05-15 11:33:55 UTC
Hi,

I forked tagtool due to a lack of support.

https://github.com/tagtool/tagtool

I will update the autoconfig part in order with my migration to Gtk3.

I opened a ticket for this purpose to the next milestone.
https://github.com/tagtool/tagtool/issues/3

Regards

Michael

Comment 4 Ankur Sinha (FranciscoD) 2013-05-19 12:58:05 UTC
Thanks Michael,

I'm currently just using the patch. When you make a new release, I'll drop it and start tracking your repository. 

Built for rawhide
http://koji.fedoraproject.org/koji/buildinfo?buildID=420156

Pushing update for f19.

Thanks,
Warm regards,
Ankur

Comment 5 Kalev Lember 2013-05-19 13:05:03 UTC
For what it's worth, patching config.guess for aarch64 shouldn't be necessary any more, unless the package does something very very special.

The %configure macro was updated to automatically replace the config.guess with an up-to-date version at build time and this change is in F19 build roots now. For some reason, nobody has sent an announcement (or closed the aarch64 tickets) yet, though.

https://bugzilla.redhat.com/show_bug.cgi?id=909788

Comment 6 Kalev Lember 2013-05-19 13:06:58 UTC
Sorry, linked a wrong ticket above. The correct one is:

https://bugzilla.redhat.com/show_bug.cgi?id=951442

Comment 7 Fedora Update System 2013-05-19 13:09:50 UTC
tagtool-0.12.3-16.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tagtool-0.12.3-16.fc19

Comment 8 Ankur Sinha (FranciscoD) 2013-05-19 13:12:33 UTC
(In reply to comment #5)
> For what it's worth, patching config.guess for aarch64 shouldn't be
> necessary any more, unless the package does something very very special.
> 
> The %configure macro was updated to automatically replace the config.guess
> with an up-to-date version at build time and this change is in F19 build
> roots now. For some reason, nobody has sent an announcement (or closed the
> aarch64 tickets) yet, though.
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=909788

Yikes. An announcement would've been nice. Thanks for letting me know Kalev. I'll handle the other bugs differently. 

Ankur

Comment 9 Fedora Update System 2013-05-19 18:20:18 UTC
Package tagtool-0.12.3-16.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tagtool-0.12.3-16.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8627/tagtool-0.12.3-16.fc19
then log in and leave karma (feedback).

Comment 10 Michael Spahn 2013-05-19 20:42:08 UTC
@Ankur for releases star https://github.com/tagtool/release :-).

Comment 11 Fedora Update System 2013-09-09 23:53:50 UTC
tagtool-0.12.3-16.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.